package com.zswc.creativity.vmodel

import android.app.Application
import com.zswc.creativity.utils.net.NetEngine
import com.ysnows.base.base.BRRepository
import com.ysnows.base.base.BRViewModel
import com.ysnows.base.net.IResp

class HomeDriverVModel(application: Application) : BRViewModel<BRRepository>(application) {


    fun  toReceOrder(info_id: String){
        //到接单界面
//        UiSwitch.bundle(repository().context, GrabDetailsActivity::class.java, Bundle().apply {
//            putString("info_id", info_id)})

    }

    override fun apiFunc(): suspend () -> IResp<*> {


        return {
            NetEngine.service.infoList(
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    repository().page)
        }
    }

}
